### Virtual Method

# Gio AppInfo get_executable

#### Declaration

    const char*
    get_executable (
      GAppInfo* appinfo
    )

#### Description

Gets the executable’s name for the installed application.

This is intended to be used for debugging or labelling what program is going to be run. To launch the executable, use `g_app_info_launch()` and related functions, rather than spawning the return value from this function.

#### Return value

Type: `const char*`

A string containing the `appinfo`‘s application binaries name.

The data is owned by the called function.
The value is a file system path, using the OS encoding.